<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_GroupDetail StructType
 * @subpackage Structs
 */
class JP_GroupDetail extends AbstractStructBase
{
    /**
     * The Names
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString4
     */
    public $Names;
    /**
     * Constructor method for JP_GroupDetail
     * @uses JP_GroupDetail::setNames()
     * @param \ArrayType\ArrayOfString4 $names
     */
    public function __construct(\ArrayType\ArrayOfString4 $names = null)
    {
        $this
            ->setNames($names);
    }
    /**
     * Get Names value
     * @return \ArrayType\ArrayOfString4|null
     */
    public function getNames()
    {
        return $this->Names;
    }
    /**
     * Set Names value
     * @param \ArrayType\ArrayOfString4 $names
     * @return \StructType\JP_GroupDetail
     */
    public function setNames(\ArrayType\ArrayOfString4 $names = null)
    {
        $this->Names = $names;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_GroupDetail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
